%global namedreltag .CR2-SNAPSHOT
%global namedversion %{version}%{?namedreltag}

Name:             jboss-logging-spi
Version:          2.2.0
Release:          %mkrel 2
Summary:          The JBoss Logging Framework Programming Interface
Group:            Development/Java
License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-vfs/

# This should be this:
# svn export http://anonsvn.jboss.org/repos/common/common-logging-spi/tags/2.2.0.CR1/ jboss-logging-spi-2.2.0.CR1
# tar cafJ jboss-logging-spi-2.2.0.CR1.tar.xz jboss-logging-spi-2.2.0.CR1

# But for now we use trunk
# svn export http://anonsvn.jboss.org/repos/common/common-logging-spi/trunk jboss-logging-spi-2.2.0.CR2-SNAPSHOT
# tar cafJ jboss-logging-spi-2.2.0.CR2-SNAPSHOT.tar.xz jboss-logging-spi-2.2.0.CR2-SNAPSHOT
Source0:          %{name}-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    jboss-parent

BuildRequires:    bsf
BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin

Requires:         jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         java

%description
This package contains the JBoss Logging Framework Programming Interface.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=bsf \
  -DartifactId=bsf \
  -Dversion=2.3.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath bsf) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=org.apache.maven.plugins \
  -DartifactId=maven-enforcer-plugin \
  -Dversion=1.0.1 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath maven-enforcer/plugin) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL


mvn-rpmbuild \
	-Dmaven.repo.local=$MAVEN_REPO_LOCAL \
	-Dmaven.test.skip=true \
	install javadoc:aggregate

%install
rm -fr %buildroot
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
install -pm 644 target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom

# DEPMAP
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.2.0-2.mga3
+ Revision: 355071
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 05 2011 dmorgan <dmorgan> 2.2.0-1.mga2
+ Revision: 131953
- Fix buildrequires
- Review spec file
  	- Fix groups
  	- Add rm -fr %%buildroot in %%install
  	- Fix %%mkrel to not be 0

  + gil <gil>
    - imported package jboss-logging-spi

